//------------------------------------------------------------
// Tony Hyun Kim
// Spring 2007
// 18.354 Project: Lattice gas
// Some pre-configured node geometries HEADER
//------------------------------------------------------------

#ifndef NODE_GEOMETRY_H
#define NODE_GEOMETRY_H

#include "Common.h"
#include "node_manager.h"

void CreateBox(D3DXVECTOR2& pos, int width, int height);
void CreateLine(D3DXVECTOR2& pos, int dir, int n);
void CreateHexagonFilled(D3DXVECTOR2& pos, int n);
void CreateHexagonRing(D3DXVECTOR2& pos, int inner, int outer);
void CreateHexagon(D3DXVECTOR2& pos, int n);

void Demo1(); // Expansion against vacuum
void Demo2(); // Expansion against external gas
void Demo3(); // Flow to the right against a pin head
void Demo4(); // Hitting a bunch of red particles (net P = 0)
			  // with blue particles (net momenta)

void Demo5();

#endif